class CreateMashes < ActiveRecord::Migration
  def self.up
    create_table :mashes do |t|
      t.integer :mash_tournament_id, :null => false
      t.integer :map_a_id
      t.integer :map_b_id
      t.integer :winner_id
      t.integer :mash_tournament_round_id

      t.timestamps
    end

    add_index :mashes, [:winner_id]
    add_index :mashes, [:mash_tournament_id]
  end

  def self.down
    remove_index :mashes, [:winner_id]
    remove_index :mashes, [:mash_tournament_id]
    drop_table :mashes
  end
end
